#ifndef __SubscriptionHandler_h__
#define __SubscriptionHandler_h__

#include "ZString.h"
#include <string>
#include <vector>

namespace core
{

   class SubscriptionHandler
   {

   public:
      SubscriptionHandler();

      virtual int process(coreutils::ZString &request, std::stringstream &out, TCPSession &session);

      virtual int onSubscribe(TCPSession &session);
   };
}

#endif
